// RPC stubs for yfs to talk to yfs_server

#include "yfs_client.h"
#include "../rpc/rpc.h"

yfs_client::yfs_client(sockaddr_in xdst)
  : dst(xdst)
{
}

bool
yfs_client::isfile(yfs_protocol::inum inum)
{
  if(inum & 0x80000000)
    return true;
  return false;
}

bool
yfs_client::isdir(yfs_protocol::inum inum)
{
  return ! isfile(inum);
}

yfs_protocol::status
yfs_client::getfile(yfs_protocol::inum inum, yfs_protocol::fileinfo &fin)
{
  return cl.call(dst, yfs_protocol::getfile, inum, fin);
}

yfs_protocol::status
yfs_client::getdir(yfs_protocol::inum inum, yfs_protocol::dirinfo &fin)
{
  return cl.call(dst, yfs_protocol::getdir, inum, fin);
}



