// yfs client interface.
// really the "clerk" that decides what server to talk to
// as well as sending RPCs.
// you only need one instance per host.
// assumes threading: blocking calls, uses pthreads locks, &c.
// intended to be called from a fuse, but doesn't actually
// know anything about fuse.

#ifndef yfs_client_h
#define yfs_client_h

#include <string>
#include "yfs_protocol.h"
#include "rpc.h"

class yfs_client {
 private:
  rpcc cl;
  struct sockaddr_in dst;

 public:
  yfs_client(struct sockaddr_in dst);

  bool isfile(yfs_protocol::inum);
  bool isdir(yfs_protocol::inum);

  // send an RPC to fuse_server
  yfs_protocol::status getfile(yfs_protocol::inum, yfs_protocol::fileinfo &);
  yfs_protocol::status getdir(yfs_protocol::inum, yfs_protocol::dirinfo &);
};


#endif 
